      SUBROUTINE ECRITVAL(XXX,DX,V,LV00,I,NB,XLEG,YY)
      INCLUDE 'com_options.f'
      CHARACTER*32 VV
C
      CALL GSMOVE(XXX,YY)
      CALL GSLINE(XXX+.7*DX,YY)
      VV = '                     '
      IF (V.EQ.0.) THEN
        VV(1:1) = '0'
        L0 = 1
        LV = 1
      ELSE
Cfj        LV0 = LV00
Cfj        IF (LV0.EQ.14) THEN
Cfj          WRITE(VV(1:LV0),'(G14.5)') V
Cfj        ELSE
Cfj          WRITE(VV(1:LV0),'(G16.7)') V
Cfj        ENDIF
Cfj        CALL REDUITC(VV,LV0,L0)
        CALL REDUITREEL1(V,VV,LV0,0)
        l0 = 1
C
        IF (ISO.EQ.1.OR.ISO.EQ.3) THEN
          IF (I.EQ.0.AND.VMIN.GT.VMIN0) THEN
            IF (L0.GE.3) THEN
              L0 = L0-2
              VV(L0:L0+1) = '< '
              LV = LV0
            ELSE
              IF (ILANG.EQ.0) THEN
                LV = LV0+5
                VV(1:LV) = VV(1:LV0)//' et <'
              ELSE
                LV = LV0+6
                VV(1:LV) = VV(1:LV0)//' and <'
              ENDIF
            ENDIF
          ELSEIF(I.EQ.NB.AND.VMAX.LT.VMAX0) THEN
            IF (L0.GE.3) THEN
              L0 = L0-2
              VV(L0:L0+1) = '> '
              LV = LV0
            ELSE
              IF (ILANG.EQ.0) THEN
                LV = LV0+5
                VV(1:LV) = VV(1:LV0)//' et >'
              ELSE
                LV = LV0+6
                VV(1:LV) = VV(1:LV0)//' and >'
              ENDIF
            ENDIF
          ELSE
            LV = LV0
          ENDIF
        ELSE
          LV = LV0
        ENDIF
      ENDIF
      LV2 = LV-L0+1
      IF (LV2.GT.10) THEN
        CALL GSCHAR(XLEG-DX*2.4,YY-.5*DX,LV2,VV(L0:LV))
      ELSE
        CALL GSCHAR(XLEG,YY-.5*DX,LV2,VV(L0:LV))
      ENDIF
      END
